LASTLOG(8)

NAZWA
lastlog - sprawdź plik ostatnich logowań (lastlog)

SKŁADNIA

lastlog [opcje]

OPIS
lastlog formatuje i wyświetla zawartość dziennika ostatnich logowań zapisanych w pliku /var/log/lastlog. Wyświetlone zostaną nazwa użytkownika, port i czas ostatniego logowania. Domyślnie (bez flag) pozycje pliku wyświetlane są w kolejności w jakiej są w pliku /etc/passwd.

OPCJE
Polecenie lastlog posiada następujące opcje:

-h, --help
    Wyświetla krótką informację o tym jak używać program i kończy pracę.

-t, --time DNI
    Wyświetla tylko ostatnie logowania użytkowników nie starsze niż zadana ilość DNI.

-u, --user LOGIN
    Wyświetla tylko informacji o ostanim logowaniu użytkownika LOGIN.

Opcja -t przesłania użycie opcji -u.

Jeżeli użytkownik nigdy się nie logował to zamiast portu i czasu logowania zostanie wyświetlony komunikat "**Never logged in**" (nigdy się nie logował).

PLIKI
/var/log/lastlog - dziennik ostatnich logowań

PRZESTROGI
Duże luki w numeracji UID powodują, że program będzie pracował dłużej, nie wyświetlając wyników (np. jeśli mmdf=800, zaś ostatni uid=170, to program będzie sprawiał wrażenie zawieszonego w trakcie przetwarzania uid 171-799).

AUTORZY
Julianne Frances Haugh (jockgrrl@ix.netcom.com)
Phillip Street